Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 228490

Summary: Review Request: hunspell-nl - Dutch hunspell dictionaries
Product: [Fedora] Fedora Reporter: Caolan McNamara <caolanm>
Component: Package ReviewAssignee: manuel wolfshant <manuel.wolfshant>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: manuel.wolfshant
Target Milestone: ---Flags: manuel.wolfshant: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-02-15 16:29:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 163779    

Description Caolan McNamara 2007-02-13 11:42:46 UTC
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-nl.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-nl-0.20050617-1.src.rpm
Description: Dutch hunspell dictionaries


Similar to 227811

Comment 1 manuel wolfshant 2007-02-14 00:25:11 UTC
upstreamid is wrong, should be 20-Jul-2005 (archive date) or 17/19-Jul-2005
(files' date)



GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 
9f5432aeb20ab7e9a3c72877b71056a33b2bd9ba  nl_NL.zip
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- the license GPL stated in the tag is the same as the web site and the included
documentation say; it is not included in the package because upstream did not
include it either
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no need for -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED but please fix the version before uploading to CVS; you should also ask
upstream to include the GPL license in the archive

Comment 2 Caolan McNamara 2007-02-14 08:45:40 UTC
updated wiki http://wiki.services.openoffice.org/wiki/Dictionaries to match .zip
date and updated
http://people.redhat.com/caolanm/hunspell/hunspell-nl-0.20050720-1.src.rpm
to match

Comment 3 Caolan McNamara 2007-02-15 16:29:34 UTC
 27657 (hunspell-nl): Build on target fedora-development-extras succeeded.